﻿@model MvcWebsiteOcc.Models.User
@{
    ViewBag.Title = "Chỉnh sửa người dùng";
    ViewBag.Description = "phan quyen";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}

@using (Html.BeginForm())
{    
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)

    @Html.HiddenFor(m => m.UserID)
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>

                    <div class="widget-buttons">
                        <button type="button" class="btn btn-darkorange " onclick="window.location.href='/administrators/systems_manager/users_manager'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">

                    <div id="registration-form">
                        <form role="form">
                            <div class="row">
                                <div class="col-lg-6 col-sm-6 col-xs-12">
                                    <div class="form-title">
                                        Thông tin tài khoản
                                    </div>
                                    <div class="form-group">
                                        <span class="input-icon icon-right">
                                            @Html.TextBoxFor(p => p.UserName, new { @class = "form-control", placeholder = "Tên đăng nhập" })
                                            <i class="glyphicon glyphicon-user circular"></i>
                                        </span>
                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.UserName)</span>
                                    </div>
                                    <div class="form-group">
                                        @{if (Model.IsActive == true)
                                          {
                                            <div class="checkbox">
                                                <label>
                                                    <input id="IsActive" class="colored-danger" name="IsActive" type="checkbox" value="true" checked="checked" />
                                                    <input type="hidden" value="false" /><span class="text">Hoạt động</span></label>
                                            </div>
                                          }
                                          else
                                          {
                                            <div class="checkbox">
                                                <label>
                                                    <input id="IsActive" class="colored-danger" name="IsActive" type="checkbox" value="true" />
                                                    <input type="hidden" value="false" /><span class="text">Hoạt động</span></label>
                                            </div>
                                          }}

                                    </div>

                                    <div class="form-title">
                                        Thông tin người dùng
                                    </div>


                                    <div class="form-group">
                                        <span class="input-icon icon-right">
                                            @Html.TextBoxFor(p => p.FullName, new { @class = "form-control", placeholder = "Họ tên" })
                                            <i class="fa fa-user"></i>
                                        </span>
                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.FullName)</span>
                                    </div>


                                    <div class="form-group">
                                        <span class="input-icon icon-right">
                                            @Html.TextBoxFor(p => p.BirthDay, new { @class = "form-control date-picker", placeholder = "Ngày sinh", data_date_format = "dd/mm/yyyy", data_mask = "99/99/9999" })
                                            <i class="fa fa-calendar"></i>
                                        </span>
                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.BirthDay)</span>
                                    </div>

                                    <div class="form-group">
                                        <span class="input-icon icon-right">
                                            @Html.TextBoxFor(p => p.Email, new { @class = "form-control", placeholder = "Email" })
                                            <i class="fa fa-envelope-o circular"></i>
                                        </span>
                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.Email)</span>
                                    </div>

                                    <div class="form-group">
                                        <span class="input-icon icon-right">
                                            @Html.TextBoxFor(p => p.Phone, new { @class = "form-control phonemask", placeholder = "Số điện thoại" })
                                            <i class="glyphicon glyphicon-earphone"></i>
                                        </span>
                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.Phone)</span>
                                    </div>

                                    <div class="form-group">
                                        <span class="input-icon icon-right">

                                            @Html.TextBoxFor(p => p.Mobile, new { @class = "form-control mobilemask", placeholder = "Mobile" })
                                            <i class="glyphicon glyphicon-phone"></i>
                                        </span>
                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.Mobile)</span>

                                    </div>
                                </div>

                                <div class="col-lg-6 col-sm-6 col-xs-12">
                                    <div class="form-title">
                                        Nhóm quyền
                                    </div>
                                    <div class="row">
                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                            <span class="help-block">Cấu hình nhóm quyền cho người dùng !</span>
                                        </div>
                                    </div>
                                    @{IEnumerable<MvcWebsiteOcc.Models.Group> groups = ViewBag.Groups;
                                      IEnumerable<MvcWebsiteOcc.Models.UserGroup> ugroups = ViewBag.UserGroups;

                                      foreach (var group in groups)
                                      {
                                          var checkUser = ugroups.FirstOrDefault(p => p.GroupID.Equals(group.GroupID) && p.UserID.Equals(Model.UserID));
                                          if (checkUser != null)
                                          {
                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                            <div class="checkbox">
                                                <label>
                                                    <input checked="checked"  id="GroupID" class="colored-danger" name="GroupID" type="checkbox" value="@group.GroupID" />
                                                    <input type="hidden" value="false" /><span class="text">@group.GroupName</span></label>
                                            </div>
                                        </div>   
                                          }
                                          else
                                          {
                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                            <div class="checkbox">
                                                <label>
                                                    <input id="GroupID" class="colored-danger" name="GroupID" type="checkbox" value="@group.GroupID" />
                                                    <input type="hidden" value="false" /><span class="text">@group.GroupName</span></label>
                                            </div>
                                        </div> 
                                          }


                                      }
                                    }

                                    <div class="form-title">
                                       Reset mật khẩu
                                    </div>
                                    <div class="row">
                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                            <span class="help-block warning">@ViewBag.Reset</span>
                                            <div class="form-group">
                                                <span class="input-icon icon-right">
                                                    @Html.Password("newPass", null, new { @class = "form-control", placeholder = "Mật khẩu" })
                                                    <i class="fa fa-lock circular"></i>
                                                </span>
                                            </div>
                                            <div class="form-group">
                                                <span class="input-icon icon-right">
                                                    @Html.Password("newPassConfirm", null, new { @class = "form-control", placeholder = "Nhập lại mật khẩu" })
                                                    <i class="fa fa-lock circular"></i>
                                                </span>
                                            </div>
                                              <button class="btn btn-info " name="save" type="submit" value="reset">Reset <i class="fa fa-check right"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>

                </div>
            </div>
        </div>
    </div>

}
@section PageScripts{

    <!--Jquery Select2-->
    <script src="/Static/admin/assets/js/select2/select2.js"></script>

    <!--Bootstrap Date Picker-->
    <script src="/Static/admin/assets/js/datetime/bootstrap-datepicker.js"></script>

    <script src="/Static/admin/assets/js/jasny-bootstrap.min.js"></script>

    <script>

        //--Bootstrap Date Picker--
        $('.date-picker').datepicker();



        $(document).ready(function () {
            $("#systems").addClass("active open");
            $("#users").addClass("active");
        });

    </script>

}